Bug 120809 - RFE: Include pbbuttonsd on powerpc (and possibly x86)
RFE: Include pbbuttonsd on powerpc (and possibly x86)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
: FutureFeature
Depends On: 119265 126024
Blocks: fedora-ppc
  Show dependency treegraph
 
Reported: 2004-04-13 22:16 EDT by Nathan Robertson
Modified: 2014-03-16 22:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-20 08:02:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file for pbbuttonsd (2.27 KB, text/plain)
2004-04-13 22:17 EDT, Nathan Robertson
no flags Details
Fix a missing include, which fixes breakage in the linking stage. Used by the above specfile (289 bytes, text/plain)
2004-04-13 23:28 EDT, Nathan Robertson
no flags Details
Updated spec file which includes dependancies for build and install (2.31 KB, text/plain)
2004-04-13 23:37 EDT, Nathan Robertson
no flags Details

  None (edit)
Description Nathan Robertson 2004-04-13 22:16:05 EDT
Description of problem:
The pbbuttonsd package is a package originally for Apple PowerPC based
machines (eg. PowerBook), but now works for x86 as well. It does two
things:

1. Does power management (such as sleeping, etc), replacing the old
pmud (which was also never included in RedHat / Fedora Core) on
PowerPC only.

2. Controlling power management and the "extra keys" that do things
like volume, brightness, etc. on laptops (i386 and ppc).

Given that Fedora Core now boots on Apple PowerPC (I'm reporting this
off Fedora Devel on an Apple PowerBook), this is a "must have" package
for powerpc, and optionally provides some useful functionality on x86
laptops.

Depends on bugs 119039 and 119265 being resolved (which I have
provided patches to). I will append the spec file for creating this
package - the rpm produced I am currently using on my PowerBook at the
moment.
Comment 1 Nathan Robertson 2004-04-13 22:17:40 EDT
Created attachment 99391 [details]
spec file for pbbuttonsd
Comment 2 Nathan Robertson 2004-04-13 23:28:34 EDT
Created attachment 99394 [details]
Fix a missing include, which fixes breakage in the linking stage. Used by the above specfile
Comment 3 Nathan Robertson 2004-04-13 23:37:35 EDT
Created attachment 99395 [details]
Updated spec file which includes dependancies for build and install
Comment 4 Bastien Nocera 2004-06-09 07:37:00 EDT
pmud could do 1), and 2) can be done in user-mode, without a daemon,
using GNOME 2.6 for example.
Given the ugliness of the pbbuttons code, I would advise against
adding it to the distro.
Comment 5 Colin Charles 2004-08-29 20:08:55 EDT
Okay, as we fast approach FC3, and really do want PPC support to be
"there", we're going to have to hash out this pbbuttonsd vs. pmud issue

Bastien, I know acme in GNOME 2.6/2.8 will work wonderfully w/pmud,
but what about those that use KDE? Or even XFce4? acme doesn't run
standalone anylonger does it, as its integrated within GNOME?

Now, from the standpoint of the folks doing PPC stuff and hang out on
IRC, I'm guessing we're only using pmud, so we probably can't actually
recreate pbbuttonsd bugs and so on.

So, is this going to taper down to being NOTABUG, and can we then push
for inclusion of pmud (on powerpc only, obviously). Setting pmud to
obsolete APM in case it doesn't already do (I've forgotten)

dwmw2 has a package available at
ftp://ftp.linux.org.uk/pub/people/dwmw2/fc2-mac/SRPMS/pmud-0.10-1.1.src.rpm
Comment 6 David Woodhouse 2005-02-17 10:17:38 EST
apmud is now in Fedora Extras.

Note You need to log in before you can comment on or make changes to this bug.